<?php

namespace NoccyLabs\React\CommandBus;
use Evenement\EventEmitterInterface;
use Evenement\EventEmitterTrait;

/**
 * A collection of commands that can be executed via CommandBusInterface
 *
 */
interface CommandResolverInterface
{
    
    public function findCommand(string $command): ?Command;

    public function getCommandNames(): array;

}

